#ifndef GLOBAL_H
#define GLOBAL_H

#include "libmf.h"

/**********************/
/* Standard Constants */
/**********************/
#define TRUE               1
#define FALSE              0
#define ON                 0
#define OFF                1
#define PRESSED			   0
#define RELEASED		   1

#ifndef NULL
#define NULL               0
#endif



// -------------------------------------------------------------------------------
//
// Frequency, Frame and Packet structure
//
//


#define BERDIGITS 7

// Packet constants

#define TX_PREAMBLE      32
#define ADDRESS_LENGTH   6
#define PAYLOAD_LENGTH   24
#define CRC_LENGTH       2
#define TX_POSTAMBLE     6

// RX parameter

#define RX_MINPREAMBLE   4
#define RX_TIMEOUT       (ADDRESS_LENGTH+PAYLOAD_LENGTH+CRC_LENGTH+RX_MINPREAMBLE)
// #define PSK

// TX parameter
#define PREAMBLE_BYTE 	 0x55
#define DELIMITER_BYTE   0x7E

#define FEC_ENABLED      0

// TX states

#define AX5051_idle						    0x00

#define AX5042_PWRSTATE_POWERDOWN           0x0
#define AX5051_PWRSTATE_PWRUP_PIN           0x1
#define AX5051_PWRSTATE_SYNTHRX             0x8
#define AX5051_PWRSTATE_FULLRX              0x9
#define AX5051_PWRSTATE_RXFRAMING           0xa
#define AX5051_PWRSTATE_SYNTHTX             0xc
#define AX5051_PWRSTATE_FULLTX              0xd
#define AX5051_PWRSTATE_TXFRAMING           0xe
#define AX5051_PWRSTATE_MASK                0xf

#define AX5051_HDLCCMD_DATA                 0x0
#define AX5051_HDLCCMD_CRC                  0x1
#define AX5051_HDLCCMD_RAW                  0x2
#define AX5051_HDLCCMD_RAWCLRCRC            0x3


#endif   /* GLOBAL_H */

